#
# spec file for package python-proselint
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-proselint
Version:        0.8.0
Release:        lp151.2.1
Summary:        A linter for prose
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://github.com/amperser/proselint
Source:         https://files.pythonhosted.org/packages/source/p/proselint/proselint-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  python3-dbm
# SECTION test requirements
BuildRequires:  %{python_module click}
BuildRequires:  %{python_module future}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module six}
BuildRequires:  python2-mock
# /SECTION
Requires:       python-click
Requires:       python-future
Requires:       python-six
%ifpython3
Requires:       python3-dbm
%endif
BuildArch:      noarch

%python_subpackages

%description
proselint is a linter for English prose. (A linter is a computer
program that, like a spell checker, scans through a document and
analyzes it.)

Proselint is a command-line utility that can be integrated into
existing tools.

%prep
%setup -q -n proselint-%{version}
sed -i -e '/^#!\//, 1d' proselint/*.py

%build
%python_build

%install
%python_install
%{python_expand rm -r %{buildroot}%{$python_sitelib}/tests
%fdupes %{buildroot}%{$python_sitelib}
}

%check
%python_expand nosetests-%{$python_bin_suffix} proselint

%files %{python_files}
%doc CHANGELOG.md README.md
%license LICENSE.md
%python3_only %{_bindir}/proselint
%{python_sitelib}/proselint/
%{python_sitelib}/proselint-%{version}-py*.egg-info

%changelog
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Sun Jul 29 2018 jengelh@inai.de
- Remove rhetoric part from description.
* Thu May 24 2018 toddrme2178@gmail.com
- Spec file cleanups
* Thu Nov 16 2017 toddrme2178@gmail.com
- Initial version
